com.fasterxml.jackson.databind.ext

## Class Java7Handlers

- java.lang.Object
- - com.fasterxml.jackson.databind.ext.Java7Handlers

Direct Known Subclasses:
  Java7HandlersImpl

    public abstract class Java7Handlers
    extends Object

To support Java7-incomplete platforms, we will offer support for JDK 7 datatype(s) (that is, `Path` through this class, loaded dynamically; if loading fails, support will be missing. This class is the non-JDK-7-dependent API, and `Java7HandlersImpl` is JDK7-dependent implementation of functionality.

Since:
  2.10 (cleaved off of `Java7Support`)

### Constructor Summary

Constructors
Constructor and Description
`Java7Handlers()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract Class<?>` `getClassJavaNioFilePath()`
`abstract JsonDeserializer<?>` `getDeserializerForJavaNioFilePath(Class<?> rawType)`
`abstract JsonSerializer<?>` `getSerializerForJavaNioFilePath(Class<?> rawType)`
`static Java7Handlers` `instance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Java7Handlers

    public Java7Handlers()

### Method Detail

#### instance

    public static Java7Handlers instance()

#### getClassJavaNioFilePath

    public abstract Class<?> getClassJavaNioFilePath()

#### getDeserializerForJavaNioFilePath

    public abstract JsonDeserializer<?> getDeserializerForJavaNioFilePath(Class<?> rawType)

#### getSerializerForJavaNioFilePath

    public abstract JsonSerializer<?> getSerializerForJavaNioFilePath(Class<?> rawType)